diff --git a/mysql-test/main/mysqld--help,win.rdiff b/mysql-test/main/mysqld--help,win.rdiff
index 5f87c0b7fdc..08587754654 100644
--- a/mysql-test/main/mysqld--help,win.rdiff
+++ b/mysql-test/main/mysqld--help,win.rdiff
@@ -2,7 +2,7 @@
 +++ b/mysql-test/main/mysqld--help.result
 @@ -220,6 +220,7 @@
   --console           Write error output on screen; don't remove the console
-  window on windows
+  window on Windows
   --core-file         Write core on crashes
 + (Defaults to on; use --skip-core-file to disable.)
   -h, --datadir=name  Path to the database root directory
diff --git a/mysql-test/main/mysqld--help.result b/mysql-test/main/mysqld--help.result
index aa96d6052de..101aef91b45 100644
--- a/mysql-test/main/mysqld--help.result
+++ b/mysql-test/main/mysqld--help.result
@@ -20,7 +20,7 @@ The following specify which files/extra groups are read (specified before remain
  Percentage of rows from the table ANALYZE TABLE will
  sample to collect table statistics. Set to 0 to let
  MariaDB decide what percentage of rows to sample
- -a, --ansi          Use ANSI SQL syntax instead of MySQL syntax. This mode
+ -a, --ansi          Use ANSI SQL syntax instead of MariaDB syntax. This mode
  will also set transaction isolation level 'serializable'
  --auto-increment-increment[=#] 
  Auto-increment columns are incremented by this
@@ -138,7 +138,7 @@ The following specify which files/extra groups are read (specified before remain
  logged. 'FULL_NODUP', means that all columns are logged
  in before image, but only changed columns or all columns
  of inserted record are logged in after image, 'NOBLOB',
- means that mysqld avoids logging blob columns whenever
+ means that mariadbd avoids logging blob columns whenever
  possible (eg, blob column was not changed or is not part
  of primary key). 'MINIMAL', means that a PK equivalent
  (PK columns or full row if there is no PK in the table)
@@ -163,7 +163,7 @@ The following specify which files/extra groups are read (specified before remain
  AES_DECRYPT() functions. One of: aes-128-ecb, aes-192-ecb,
  aes-256-ecb, aes-128-cbc, aes-192-cbc, aes-256-cbc, 
  aes-128-ctr, aes-192-ctr, aes-256-ctr
- --bootstrap         Used by mysql installation scripts
+ --bootstrap         Used by mariadb installation scripts
  --bulk-insert-buffer-size=# 
  Size of tree cache used in bulk insert optimisation. Note
  that this is a limit per thread!
@@ -179,7 +179,7 @@ The following specify which files/extra groups are read (specified before remain
  Set the default character set
  --character-sets-dir=name 
  Directory where character sets are
- -r, --chroot=name   Chroot mysqld daemon during startup
+ -r, --chroot=name   Chroot mariadbd daemon during startup
  --collation-server=name 
  Set the default collation
  --column-compression-threshold=# 
@@ -218,7 +218,7 @@ The following specify which files/extra groups are read (specified before remain
  Use concurrent insert with MyISAM. One of: NEVER, AUTO, 
  ALWAYS
  --console           Write error output on screen; don't remove the console
- window on windows
+ window on Windows
  --core-file         Write core on crashes
  -h, --datadir=name  Path to the database root directory
  --deadlock-search-depth-long=# 
@@ -318,7 +318,7 @@ The following specify which files/extra groups are read (specified before remain
  (Defaults to on; use --skip-explicit-defaults-for-timestamp to disable.)
  --external-locking  Use system (external) locking (disabled by default). 
  With this option enabled you can run myisamchk to test
- (not repair) tables while the MySQL server is running.
+ (not repair) tables while the MariaDB server is running.
  Disable with --skip-external-locking
  --extra-max-connections=# 
  The number of connections on extra-port
@@ -351,7 +351,7 @@ The following specify which files/extra groups are read (specified before remain
  --general-log-file=name 
  Log connections and queries to given file
  --getopt-prefix-matching 
- Recognize command-line options by their unambiguos
+ Recognize command-line options by their unambiguous
  prefixes
  (Defaults to on; use --skip-getopt-prefix-matching to disable.)
  --group-concat-max-len=# 
@@ -545,10 +545,10 @@ The following specify which files/extra groups are read (specified before remain
  combinations
  --log-slow-filter=name 
  Log only certain types of queries to the slow log. If
- variable empty all kind of queries are logged.  All types
- are bound by slow_query_time, except 'not_using_index'
- which is always logged if enabled. Any combination of: 
- admin, filesort, filesort_on_disk, 
+ variable empty all kinds of queries are logged.  All
+ types are bound by slow_query_time, except
+ 'not_using_index' which is always logged if enabled. Any
+ combination of: admin, filesort, filesort_on_disk, 
  filesort_priority_queue, full_join, full_scan, 
  not_using_index, query_cache, query_cache_miss, tmp_table,
  tmp_table_on_disk, or ALL to set all combinations
@@ -681,7 +681,7 @@ The following specify which files/extra groups are read (specified before remain
  --max-write-lock-count=# 
  After this many write locks, allow some read locks to run
  in between
- --memlock           Lock mysqld in memory
+ --memlock           Lock mariadbd in memory
  --metadata-locks-cache-size=# 
  Unused. Deprecated, will be removed in a future release.
  --metadata-locks-hash-instances=# 
@@ -699,7 +699,7 @@ The following specify which files/extra groups are read (specified before remain
  the temporary file would get bigger than this
  --myisam-mmap-size=# 
  Restricts the total memory used for memory mapping of
- MySQL tables
+ MyISAM tables
  --myisam-recover-options[=name] 
  Specifies how corrupted tables should be automatically
  repaired. Any combination of: DEFAULT, BACKUP, FORCE, 
@@ -753,9 +753,9 @@ The following specify which files/extra groups are read (specified before remain
  resources were counted per each user+host vs. per
  account)
  --open-files-limit=# 
- If this is not 0, then mysqld will use this value to
+ If this is not 0, then mariadbd will use this value to
  reserve file descriptors to use with setrlimit(). If this
- value is 0 or autoset then mysqld will reserve
+ value is 0 or autoset then mariadbd will reserve
  max_connections*5 or max_connections + table_cache*2
  (whichever is larger) number of file descriptors
  (Automatically configured unless set explicitly)
@@ -1030,7 +1030,7 @@ The following specify which files/extra groups are read (specified before remain
  --performance-schema-users-size=# 
  Maximum number of instrumented users. Use 0 to disable,
  -1 for automated sizing
- --pid-file=name     Pid file used by safe_mysqld
+ --pid-file=name     Pid file used by mariadbd_safe
  --plugin-dir=name   Directory for plugins
  --plugin-load=name  Semicolon-separated list of plugins to load, where each
  plugin is specified as ether a plugin_name=library_file
@@ -1043,7 +1043,7 @@ The following specify which files/extra groups are read (specified before remain
  adding more plugins every time
  --plugin-maturity=name 
  The lowest desirable plugin maturity. Plugins less mature
- than that will not be installed or loaded. One of: 
+ then that will not be installed or loaded. One of: 
  unknown, experimental, alpha, beta, gamma, stable
  -P, --port=#        Port number to use for connection or 0 to default to,
  my.cnf, $MYSQL_TCP_PORT, /etc/services, built-in default
@@ -1067,9 +1067,9 @@ The following specify which files/extra groups are read (specified before remain
  syntax is a comma separated list of IPv4 and IPv6
  networks. If the network doesn't contain mask, it is
  considered to be a single host. "*" represents all
- networks and must the only directive on the line. String
- "localhost" represents non-TCP local connections (Unix
- domain socket, Windows named pipe or shared memory)
+ networks and must be the only directive on the line.
+ String "localhost" represents non-TCP local connections
+ (Unix domain socket, Windows named pipe or shared memory)
  --query-alloc-block-size=# 
  Allocation block size for query parsing and execution
  --query-cache-limit=# 
@@ -1243,7 +1243,7 @@ The following specify which files/extra groups are read (specified before remain
  Enable semi-synchronous replication slave (disabled by
  default)
  --rpl-semi-sync-slave-kill-conn-timeout[=#] 
- Timeout for the mysql connection used to kill the slave
+ Timeout for the mariadb connection used to kill the slave
  io_thread's connection on master. This timeout comes into
  play when stop slave is executed
  --rpl-semi-sync-slave-trace-level=# 
@@ -1586,7 +1586,7 @@ The following specify which files/extra groups are read (specified before remain
  Specifies how to use system statistics tables. One of: 
  NEVER, COMPLEMENTARY, PREFERABLY, 
  COMPLEMENTARY_FOR_QUERIES, PREFERABLY_FOR_QUERIES
- -u, --user=name     Run mysqld daemon as user
+ -u, --user=name     Run mariadbd daemon as user
  --userstat          Enables statistics gathering for USER_STATISTICS,
  CLIENT_STATISTICS, INDEX_STATISTICS and TABLE_STATISTICS
  tables in the INFORMATION_SCHEMA
diff --git a/mysql-test/suite/sys_vars/r/sysvars_innodb,32bit.rdiff b/mysql-test/suite/sys_vars/r/sysvars_innodb,32bit.rdiff
index b3d415a95aa..80e41739f10 100644
--- a/mysql-test/suite/sys_vars/r/sysvars_innodb,32bit.rdiff
+++ b/mysql-test/suite/sys_vars/r/sysvars_innodb,32bit.rdiff
@@ -46,7 +46,7 @@
  VARIABLE_SCOPE	GLOBAL
 -VARIABLE_TYPE	BIGINT UNSIGNED
 +VARIABLE_TYPE	INT UNSIGNED
- VARIABLE_COMMENT	A number between [0, 100] that tells how oftern buffer pool dump status in percentages should be printed. E.g. 10 means that buffer pool dump status is printed when every 10% of number of buffer pool pages are dumped. Default is 0 (only start and end status is printed)
+ VARIABLE_COMMENT	A number between [0, 100] that tells how often buffer pool dump status in percentages should be printed. E.g. 10 means that buffer pool dump status is printed when every 10% of number of buffer pool pages are dumped. Default is 0 (only start and end status is printed)
  NUMERIC_MIN_VALUE	0
  NUMERIC_MAX_VALUE	100
 @@ -275,7 +275,7 @@
diff --git a/mysql-test/suite/sys_vars/r/sysvars_innodb.result b/mysql-test/suite/sys_vars/r/sysvars_innodb.result
index 99994f309db..cfdc83037ed 100644
--- a/mysql-test/suite/sys_vars/r/sysvars_innodb.result
+++ b/mysql-test/suite/sys_vars/r/sysvars_innodb.result
@@ -204,7 +204,7 @@ SESSION_VALUE	NULL
 DEFAULT_VALUE	0
 VARIABLE_SCOPE	GLOBAL
 VARIABLE_TYPE	BIGINT UNSIGNED
-VARIABLE_COMMENT	A number between [0, 100] that tells how oftern buffer pool dump status in percentages should be printed. E.g. 10 means that buffer pool dump status is printed when every 10% of number of buffer pool pages are dumped. Default is 0 (only start and end status is printed)
+VARIABLE_COMMENT	A number between [0, 100] that tells how often buffer pool dump status in percentages should be printed. E.g. 10 means that buffer pool dump status is printed when every 10% of number of buffer pool pages are dumped. Default is 0 (only start and end status is printed)
 NUMERIC_MIN_VALUE	0
 NUMERIC_MAX_VALUE	100
 NUMERIC_BLOCK_SIZE	0
@@ -504,7 +504,7 @@ SESSION_VALUE	NULL
 DEFAULT_VALUE	OFF
 VARIABLE_SCOPE	GLOBAL
 VARIABLE_TYPE	BOOLEAN
-VARIABLE_COMMENT	Enrypt the temporary table data
+VARIABLE_COMMENT	Encrypt the temporary table data
 NUMERIC_MIN_VALUE	NULL
 NUMERIC_MAX_VALUE	NULL
 NUMERIC_BLOCK_SIZE	NULL
diff --git a/mysql-test/suite/sys_vars/r/sysvars_server_embedded,32bit.rdiff b/mysql-test/suite/sys_vars/r/sysvars_server_embedded,32bit.rdiff
index c291a1bd9d7..fce6e5c285f 100644
--- a/mysql-test/suite/sys_vars/r/sysvars_server_embedded,32bit.rdiff
+++ b/mysql-test/suite/sys_vars/r/sysvars_server_embedded,32bit.rdiff
@@ -640,7 +640,7 @@
  NUMERIC_MAX_VALUE	7
 @@ -2197,7 +2197,7 @@
  VARIABLE_TYPE	BIGINT UNSIGNED
- VARIABLE_COMMENT	Restricts the total memory used for memory mapping of MySQL tables
+ VARIABLE_COMMENT	Restricts the total memory used for memory mapping of MyISAM tables
  NUMERIC_MIN_VALUE	7
 -NUMERIC_MAX_VALUE	18446744073709551615
 +NUMERIC_MAX_VALUE	4294967295
@@ -711,7 +711,7 @@
  VARIABLE_SCOPE	GLOBAL
 -VARIABLE_TYPE	BIGINT UNSIGNED
 +VARIABLE_TYPE	INT UNSIGNED
- VARIABLE_COMMENT	If this is not 0, then mysqld will use this value to reserve file descriptors to use with setrlimit(). If this value is 0 or autoset then mysqld will reserve max_connections*5 or max_connections + table_cache*2 (whichever is larger) number of file descriptors
+ VARIABLE_COMMENT	If this is not 0, then mariadbd will use this value to reserve file descriptors to use with setrlimit(). If this value is 0 or autoset then mariadbd will reserve max_connections*5 or max_connections + table_cache*2 (whichever is larger) number of file descriptors
  NUMERIC_MIN_VALUE	0
  NUMERIC_MAX_VALUE	4294967295
 @@ -2354,7 +2354,7 @@
diff --git a/mysql-test/suite/sys_vars/r/sysvars_server_embedded.result b/mysql-test/suite/sys_vars/r/sysvars_server_embedded.result
index b6e83ef4599..84c62326ccc 100644
--- a/mysql-test/suite/sys_vars/r/sysvars_server_embedded.result
+++ b/mysql-test/suite/sys_vars/r/sysvars_server_embedded.result
@@ -475,7 +475,7 @@ COMMAND_LINE_ARGUMENT	REQUIRED
 VARIABLE_NAME	BINLOG_ROW_IMAGE
 VARIABLE_SCOPE	SESSION
 VARIABLE_TYPE	ENUM
-VARIABLE_COMMENT	Controls whether rows should be logged in 'FULL', 'FULL_NODUP', 'NOBLOB' or 'MINIMAL' formats. 'FULL', means that all columns in the before and after image are logged. 'FULL_NODUP', means that all columns are logged in before image, but only changed columns or all columns of inserted record are logged in after image, 'NOBLOB', means that mysqld avoids logging blob columns whenever possible (eg, blob column was not changed or is not part of primary key). 'MINIMAL', means that a PK equivalent (PK columns or full row if there is no PK in the table) is logged in the before image, and only changed columns are logged in the after image. (Default: FULL)
+VARIABLE_COMMENT	Controls whether rows should be logged in 'FULL', 'FULL_NODUP', 'NOBLOB' or 'MINIMAL' formats. 'FULL', means that all columns in the before and after image are logged. 'FULL_NODUP', means that all columns are logged in before image, but only changed columns or all columns of inserted record are logged in after image, 'NOBLOB', means that mariadbd avoids logging blob columns whenever possible (eg, blob column was not changed or is not part of primary key). 'MINIMAL', means that a PK equivalent (PK columns or full row if there is no PK in the table) is logged in the before image, and only changed columns are logged in the after image. (Default: FULL)
 NUMERIC_MIN_VALUE	NULL
 NUMERIC_MAX_VALUE	NULL
 NUMERIC_BLOCK_SIZE	NULL
@@ -1735,7 +1735,7 @@ COMMAND_LINE_ARGUMENT	REQUIRED
 VARIABLE_NAME	LOG_SLOW_FILTER
 VARIABLE_SCOPE	SESSION
 VARIABLE_TYPE	SET
-VARIABLE_COMMENT	Log only certain types of queries to the slow log. If variable empty all kind of queries are logged.  All types are bound by slow_query_time, except 'not_using_index' which is always logged if enabled
+VARIABLE_COMMENT	Log only certain types of queries to the slow log. If variable empty all kinds of queries are logged.  All types are bound by slow_query_time, except 'not_using_index' which is always logged if enabled
 NUMERIC_MIN_VALUE	NULL
 NUMERIC_MAX_VALUE	NULL
 NUMERIC_BLOCK_SIZE	NULL
@@ -2195,7 +2195,7 @@ COMMAND_LINE_ARGUMENT	REQUIRED
 VARIABLE_NAME	MYISAM_MMAP_SIZE
 VARIABLE_SCOPE	GLOBAL
 VARIABLE_TYPE	BIGINT UNSIGNED
-VARIABLE_COMMENT	Restricts the total memory used for memory mapping of MySQL tables
+VARIABLE_COMMENT	Restricts the total memory used for memory mapping of MyISAM tables
 NUMERIC_MIN_VALUE	7
 NUMERIC_MAX_VALUE	18446744073709551615
 NUMERIC_BLOCK_SIZE	1
@@ -2345,7 +2345,7 @@ COMMAND_LINE_ARGUMENT	OPTIONAL
 VARIABLE_NAME	OPEN_FILES_LIMIT
 VARIABLE_SCOPE	GLOBAL
 VARIABLE_TYPE	BIGINT UNSIGNED
-VARIABLE_COMMENT	If this is not 0, then mysqld will use this value to reserve file descriptors to use with setrlimit(). If this value is 0 or autoset then mysqld will reserve max_connections*5 or max_connections + table_cache*2 (whichever is larger) number of file descriptors
+VARIABLE_COMMENT	If this is not 0, then mariadbd will use this value to reserve file descriptors to use with setrlimit(). If this value is 0 or autoset then mariadbd will reserve max_connections*5 or max_connections + table_cache*2 (whichever is larger) number of file descriptors
 NUMERIC_MIN_VALUE	0
 NUMERIC_MAX_VALUE	4294967295
 NUMERIC_BLOCK_SIZE	1
@@ -3025,7 +3025,7 @@ COMMAND_LINE_ARGUMENT	REQUIRED
 VARIABLE_NAME	PID_FILE
 VARIABLE_SCOPE	GLOBAL
 VARIABLE_TYPE	VARCHAR
-VARIABLE_COMMENT	Pid file used by safe_mysqld
+VARIABLE_COMMENT	Pid file used by mariadbd_safe
 NUMERIC_MIN_VALUE	NULL
 NUMERIC_MAX_VALUE	NULL
 NUMERIC_BLOCK_SIZE	NULL
@@ -3045,7 +3045,7 @@ COMMAND_LINE_ARGUMENT	REQUIRED
 VARIABLE_NAME	PLUGIN_MATURITY
 VARIABLE_SCOPE	GLOBAL
 VARIABLE_TYPE	ENUM
-VARIABLE_COMMENT	The lowest desirable plugin maturity. Plugins less mature than that will not be installed or loaded
+VARIABLE_COMMENT	The lowest desirable plugin maturity. Plugins less mature then that will not be installed or loaded
 NUMERIC_MIN_VALUE	NULL
 NUMERIC_MAX_VALUE	NULL
 NUMERIC_BLOCK_SIZE	NULL
@@ -3115,7 +3115,7 @@ COMMAND_LINE_ARGUMENT	NULL
 VARIABLE_NAME	PROXY_PROTOCOL_NETWORKS
 VARIABLE_SCOPE	GLOBAL
 VARIABLE_TYPE	VARCHAR
-VARIABLE_COMMENT	Enable proxy protocol for these source networks. The syntax is a comma separated list of IPv4 and IPv6 networks. If the network doesn't contain mask, it is considered to be a single host. "*" represents all networks and must the only directive on the line. String "localhost" represents non-TCP local connections (Unix domain socket, Windows named pipe or shared memory)
+VARIABLE_COMMENT	Enable proxy protocol for these source networks. The syntax is a comma separated list of IPv4 and IPv6 networks. If the network doesn't contain mask, it is considered to be a single host. "*" represents all networks and must be the only directive on the line. String "localhost" represents non-TCP local connections (Unix domain socket, Windows named pipe or shared memory)
 NUMERIC_MIN_VALUE	NULL
 NUMERIC_MAX_VALUE	NULL
 NUMERIC_BLOCK_SIZE	NULL
diff --git a/mysql-test/suite/sys_vars/r/sysvars_server_notembedded,32bit.rdiff b/mysql-test/suite/sys_vars/r/sysvars_server_notembedded,32bit.rdiff
index 8c0c7643a52..16d9f91848e 100644
--- a/mysql-test/suite/sys_vars/r/sysvars_server_notembedded,32bit.rdiff
+++ b/mysql-test/suite/sys_vars/r/sysvars_server_notembedded,32bit.rdiff
@@ -649,7 +649,7 @@
  NUMERIC_MAX_VALUE	7
 @@ -2407,7 +2407,7 @@
  VARIABLE_TYPE	BIGINT UNSIGNED
- VARIABLE_COMMENT	Restricts the total memory used for memory mapping of MySQL tables
+ VARIABLE_COMMENT	Restricts the total memory used for memory mapping of MyISAM tables
  NUMERIC_MIN_VALUE	7
 -NUMERIC_MAX_VALUE	18446744073709551615
 +NUMERIC_MAX_VALUE	4294967295
@@ -720,7 +720,7 @@
  VARIABLE_SCOPE	GLOBAL
 -VARIABLE_TYPE	BIGINT UNSIGNED
 +VARIABLE_TYPE	INT UNSIGNED
- VARIABLE_COMMENT	If this is not 0, then mysqld will use this value to reserve file descriptors to use with setrlimit(). If this value is 0 or autoset then mysqld will reserve max_connections*5 or max_connections + table_cache*2 (whichever is larger) number of file descriptors
+ VARIABLE_COMMENT	If this is not 0, then mariadbd will use this value to reserve file descriptors to use with setrlimit(). If this value is 0 or autoset then mariadbd will reserve max_connections*5 or max_connections + table_cache*2 (whichever is larger) number of file descriptors
  NUMERIC_MIN_VALUE	0
  NUMERIC_MAX_VALUE	4294967295
 @@ -2564,7 +2564,7 @@
diff --git a/mysql-test/suite/sys_vars/r/sysvars_server_notembedded,win.rdiff b/mysql-test/suite/sys_vars/r/sysvars_server_notembedded,win.rdiff
index 9d485a0fe1e..5f5f9f20d6c 100644
--- a/mysql-test/suite/sys_vars/r/sysvars_server_notembedded,win.rdiff
+++ b/mysql-test/suite/sys_vars/r/sysvars_server_notembedded,win.rdiff
@@ -648,7 +648,7 @@
  VARIABLE_SCOPE	GLOBAL
 -VARIABLE_TYPE	BIGINT UNSIGNED
 +VARIABLE_TYPE	INT UNSIGNED
- VARIABLE_COMMENT	If this is not 0, then mysqld will use this value to reserve file descriptors to use with setrlimit(). If this value is 0 or autoset then mysqld will reserve max_connections*5 or max_connections + table_cache*2 (whichever is larger) number of file descriptors
+ VARIABLE_COMMENT	If this is not 0, then mariadbd will use this value to reserve file descriptors to use with setrlimit(). If this value is 0 or autoset then mariadbd will reserve max_connections*5 or max_connections + table_cache*2 (whichever is larger) number of file descriptors
  NUMERIC_MIN_VALUE	0
  NUMERIC_MAX_VALUE	4294967295
 @@ -2434,7 +2434,7 @@
diff --git a/mysql-test/suite/sys_vars/r/sysvars_server_notembedded.result b/mysql-test/suite/sys_vars/r/sysvars_server_notembedded.result
index 96574a6e28f..9e6dd62e017 100644
--- a/mysql-test/suite/sys_vars/r/sysvars_server_notembedded.result
+++ b/mysql-test/suite/sys_vars/r/sysvars_server_notembedded.result
@@ -525,7 +525,7 @@ COMMAND_LINE_ARGUMENT	REQUIRED
 VARIABLE_NAME	BINLOG_ROW_IMAGE
 VARIABLE_SCOPE	SESSION
 VARIABLE_TYPE	ENUM
-VARIABLE_COMMENT	Controls whether rows should be logged in 'FULL', 'FULL_NODUP', 'NOBLOB' or 'MINIMAL' formats. 'FULL', means that all columns in the before and after image are logged. 'FULL_NODUP', means that all columns are logged in before image, but only changed columns or all columns of inserted record are logged in after image, 'NOBLOB', means that mysqld avoids logging blob columns whenever possible (eg, blob column was not changed or is not part of primary key). 'MINIMAL', means that a PK equivalent (PK columns or full row if there is no PK in the table) is logged in the before image, and only changed columns are logged in the after image. (Default: FULL)
+VARIABLE_COMMENT	Controls whether rows should be logged in 'FULL', 'FULL_NODUP', 'NOBLOB' or 'MINIMAL' formats. 'FULL', means that all columns in the before and after image are logged. 'FULL_NODUP', means that all columns are logged in before image, but only changed columns or all columns of inserted record are logged in after image, 'NOBLOB', means that mariadbd avoids logging blob columns whenever possible (eg, blob column was not changed or is not part of primary key). 'MINIMAL', means that a PK equivalent (PK columns or full row if there is no PK in the table) is logged in the before image, and only changed columns are logged in the after image. (Default: FULL)
 NUMERIC_MIN_VALUE	NULL
 NUMERIC_MAX_VALUE	NULL
 NUMERIC_BLOCK_SIZE	NULL
@@ -1925,7 +1925,7 @@ COMMAND_LINE_ARGUMENT	REQUIRED
 VARIABLE_NAME	LOG_SLOW_FILTER
 VARIABLE_SCOPE	SESSION
 VARIABLE_TYPE	SET
-VARIABLE_COMMENT	Log only certain types of queries to the slow log. If variable empty all kind of queries are logged.  All types are bound by slow_query_time, except 'not_using_index' which is always logged if enabled
+VARIABLE_COMMENT	Log only certain types of queries to the slow log. If variable empty all kinds of queries are logged.  All types are bound by slow_query_time, except 'not_using_index' which is always logged if enabled
 NUMERIC_MIN_VALUE	NULL
 NUMERIC_MAX_VALUE	NULL
 NUMERIC_BLOCK_SIZE	NULL
@@ -2405,7 +2405,7 @@ COMMAND_LINE_ARGUMENT	REQUIRED
 VARIABLE_NAME	MYISAM_MMAP_SIZE
 VARIABLE_SCOPE	GLOBAL
 VARIABLE_TYPE	BIGINT UNSIGNED
-VARIABLE_COMMENT	Restricts the total memory used for memory mapping of MySQL tables
+VARIABLE_COMMENT	Restricts the total memory used for memory mapping of MyISAM tables
 NUMERIC_MIN_VALUE	7
 NUMERIC_MAX_VALUE	18446744073709551615
 NUMERIC_BLOCK_SIZE	1
@@ -2555,7 +2555,7 @@ COMMAND_LINE_ARGUMENT	OPTIONAL
 VARIABLE_NAME	OPEN_FILES_LIMIT
 VARIABLE_SCOPE	GLOBAL
 VARIABLE_TYPE	BIGINT UNSIGNED
-VARIABLE_COMMENT	If this is not 0, then mysqld will use this value to reserve file descriptors to use with setrlimit(). If this value is 0 or autoset then mysqld will reserve max_connections*5 or max_connections + table_cache*2 (whichever is larger) number of file descriptors
+VARIABLE_COMMENT	If this is not 0, then mariadbd will use this value to reserve file descriptors to use with setrlimit(). If this value is 0 or autoset then mariadbd will reserve max_connections*5 or max_connections + table_cache*2 (whichever is larger) number of file descriptors
 NUMERIC_MIN_VALUE	0
 NUMERIC_MAX_VALUE	4294967295
 NUMERIC_BLOCK_SIZE	1
@@ -3235,7 +3235,7 @@ COMMAND_LINE_ARGUMENT	REQUIRED
 VARIABLE_NAME	PID_FILE
 VARIABLE_SCOPE	GLOBAL
 VARIABLE_TYPE	VARCHAR
-VARIABLE_COMMENT	Pid file used by safe_mysqld
+VARIABLE_COMMENT	Pid file used by mariadbd_safe
 NUMERIC_MIN_VALUE	NULL
 NUMERIC_MAX_VALUE	NULL
 NUMERIC_BLOCK_SIZE	NULL
@@ -3255,7 +3255,7 @@ COMMAND_LINE_ARGUMENT	REQUIRED
 VARIABLE_NAME	PLUGIN_MATURITY
 VARIABLE_SCOPE	GLOBAL
 VARIABLE_TYPE	ENUM
-VARIABLE_COMMENT	The lowest desirable plugin maturity. Plugins less mature than that will not be installed or loaded
+VARIABLE_COMMENT	The lowest desirable plugin maturity. Plugins less mature then that will not be installed or loaded
 NUMERIC_MIN_VALUE	NULL
 NUMERIC_MAX_VALUE	NULL
 NUMERIC_BLOCK_SIZE	NULL
@@ -3325,7 +3325,7 @@ COMMAND_LINE_ARGUMENT	NULL
 VARIABLE_NAME	PROXY_PROTOCOL_NETWORKS
 VARIABLE_SCOPE	GLOBAL
 VARIABLE_TYPE	VARCHAR
-VARIABLE_COMMENT	Enable proxy protocol for these source networks. The syntax is a comma separated list of IPv4 and IPv6 networks. If the network doesn't contain mask, it is considered to be a single host. "*" represents all networks and must the only directive on the line. String "localhost" represents non-TCP local connections (Unix domain socket, Windows named pipe or shared memory)
+VARIABLE_COMMENT	Enable proxy protocol for these source networks. The syntax is a comma separated list of IPv4 and IPv6 networks. If the network doesn't contain mask, it is considered to be a single host. "*" represents all networks and must be the only directive on the line. String "localhost" represents non-TCP local connections (Unix domain socket, Windows named pipe or shared memory)
 NUMERIC_MIN_VALUE	NULL
 NUMERIC_MAX_VALUE	NULL
 NUMERIC_BLOCK_SIZE	NULL
@@ -3815,7 +3815,7 @@ COMMAND_LINE_ARGUMENT	OPTIONAL
 VARIABLE_NAME	RPL_SEMI_SYNC_SLAVE_KILL_CONN_TIMEOUT
 VARIABLE_SCOPE	GLOBAL
 VARIABLE_TYPE	INT UNSIGNED
-VARIABLE_COMMENT	Timeout for the mysql connection used to kill the slave io_thread's connection on master. This timeout comes into play when stop slave is executed
+VARIABLE_COMMENT	Timeout for the mariadb connection used to kill the slave io_thread's connection on master. This timeout comes into play when stop slave is executed
 NUMERIC_MIN_VALUE	0
 NUMERIC_MAX_VALUE	4294967295
 NUMERIC_BLOCK_SIZE	1
diff --git a/mysql-test/suite/sys_vars/r/sysvars_star.result b/mysql-test/suite/sys_vars/r/sysvars_star.result
index d54a320afcd..451c5fee85c 100644
--- a/mysql-test/suite/sys_vars/r/sysvars_star.result
+++ b/mysql-test/suite/sys_vars/r/sysvars_star.result
@@ -63,7 +63,7 @@ GLOBAL_VALUE_ORIGIN	CONFIG
 DEFAULT_VALUE	experimental
 VARIABLE_SCOPE	GLOBAL
 VARIABLE_TYPE	ENUM
-VARIABLE_COMMENT	The lowest desirable plugin maturity. Plugins less mature than that will not be installed or loaded
+VARIABLE_COMMENT	The lowest desirable plugin maturity. Plugins less mature then that will not be installed or loaded
 NUMERIC_MIN_VALUE	NULL
 NUMERIC_MAX_VALUE	NULL
 NUMERIC_BLOCK_SIZE	NULL
diff --git a/sql/mysqld.cc b/sql/mysqld.cc
index a004ddc8790..efbd60f845e 100644
--- a/sql/mysqld.cc
+++ b/sql/mysqld.cc
@@ -890,7 +890,7 @@ static struct my_option pfs_early_options[]=
     GET_BOOL, OPT_ARG, TRUE, 0, 0, 0, 0, 0},
 #endif /* WITH_PERFSCHEMA_STORAGE_ENGINE */
   {"getopt-prefix-matching", 0,
-    "Recognize command-line options by their unambiguos prefixes",
+    "Recognize command-line options by their unambiguous prefixes",
     &my_getopt_prefix_matching, &my_getopt_prefix_matching, 0, GET_BOOL,
     NO_ARG, 1, 0, 1, 0, 0, 0}
 };
@@ -6402,7 +6402,7 @@ struct my_option my_long_options[]=
   {"help", '?', "Display this help and exit", 
    &opt_help, &opt_help, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0,
    0, 0},
-  {"ansi", 'a', "Use ANSI SQL syntax instead of MySQL syntax. This mode "
+  {"ansi", 'a', "Use ANSI SQL syntax instead of MariaDB syntax. This mode "
    "will also set transaction isolation level 'serializable'", 0, 0, 0,
    GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
   /*
@@ -6420,7 +6420,7 @@ struct my_option my_long_options[]=
    "Tells the master that updates to the given database should not be logged to the binary log",
    0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
 #ifndef DISABLE_GRANT_OPTIONS
-  {"bootstrap", OPT_BOOTSTRAP, "Used by mysql installation scripts", 0, 0, 0,
+  {"bootstrap", OPT_BOOTSTRAP, "Used by mariadb installation scripts", 0, 0, 0,
    GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
 #endif
   {"character-set-client-handshake", 0,
@@ -6436,7 +6436,7 @@ struct my_option my_long_options[]=
   {"character-set-server", 'C', "Set the default character set",
    &default_character_set_name, &default_character_set_name,
    0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0 },
-  {"chroot", 'r', "Chroot mysqld daemon during startup",
+  {"chroot", 'r', "Chroot mariadbd daemon during startup",
    &mysqld_chroot, &mysqld_chroot, 0, GET_STR, REQUIRED_ARG,
    0, 0, 0, 0, 0, 0},
   {"collation-server", 0, "Set the default collation",
@@ -6445,7 +6445,7 @@ struct my_option my_long_options[]=
   {"character-set-collations", 0, "Overrides for character set default collations",
    &character_set_collations_str, &character_set_collations_str,
    0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0 },
-  {"console", OPT_CONSOLE, "Write error output on screen; don't remove the console window on windows",
+  {"console", OPT_CONSOLE, "Write error output on screen; don't remove the console window on Windows",
    &opt_console, &opt_console, 0, GET_BOOL, NO_ARG, 0, 0, 0,
    0, 0, 0},
 #ifdef DBUG_OFF
@@ -6544,7 +6544,7 @@ struct my_option my_long_options[]=
    0, 0, 0, 0, 0, 0 },
   {"external-locking", 0, "Use system (external) locking (disabled by "
    "default).  With this option enabled you can run myisamchk to test "
-   "(not repair) tables while the MySQL server is running. Disable with "
+   "(not repair) tables while the MariaDB server is running. Disable with "
    "--skip-external-locking", &opt_external_locking, &opt_external_locking,
    0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
   /* We must always support the next option to make scripts like mysqltest
@@ -6638,7 +6638,7 @@ struct my_option my_long_options[]=
    &rpl_status, &rpl_status, &rpl_role_typelib,
    GET_ENUM, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
 #endif /* HAVE_REPLICATION */
-  {"memlock", 0, "Lock mysqld in memory", &locked_in_memory,
+  {"memlock", 0, "Lock mariadbd in memory", &locked_in_memory,
    &locked_in_memory, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"old-style-user-limits", 0,
    "Enable old-style user limits (before 5.0.3, user resources were counted "
@@ -6792,7 +6792,7 @@ struct my_option my_long_options[]=
    &global_system_variables.tx_read_only,
    &global_system_variables.tx_read_only, 0,
    GET_BOOL, OPT_ARG, 0, 0, 0, 0, 0, 0},
-  {"user", 'u', "Run mysqld daemon as user", 0, 0, 0, GET_STR, REQUIRED_ARG,
+  {"user", 'u', "Run mariadbd daemon as user", 0, 0, 0, GET_STR, REQUIRED_ARG,
    0, 0, 0, 0, 0, 0},
   {"verbose", 'v', "Used with --help option for detailed help",
    &opt_verbose, &opt_verbose, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
diff --git a/sql/sys_vars.cc b/sql/sys_vars.cc
index 6feb7ef5a59..3777d54c409 100644
--- a/sql/sys_vars.cc
+++ b/sql/sys_vars.cc
@@ -2853,9 +2853,9 @@ export sys_var *Sys_old_passwords_ptr= &Sys_old_passwords; // for sql_acl.cc
 
 static Sys_var_ulong Sys_open_files_limit(
        "open_files_limit",
-       "If this is not 0, then mysqld will use this value to reserve file "
+       "If this is not 0, then mariadbd will use this value to reserve file "
        "descriptors to use with setrlimit(). If this value is 0 or autoset "
-       "then mysqld will reserve max_connections*5 or max_connections + "
+       "then mariadbd will reserve max_connections*5 or max_connections + "
        "table_cache*2 (whichever is larger) number of file descriptors",
        AUTO_SET READ_ONLY GLOBAL_VAR(open_files_limit), CMD_LINE(REQUIRED_ARG),
        VALID_RANGE(0, OS_FILE_LIMIT), DEFAULT(0), BLOCK_SIZE(1));
@@ -2998,7 +2998,7 @@ static Sys_var_ulong Sys_optimizer_adjust_secondary_key_costs(
     DEPRECATED(1100, ""));
 
 static Sys_var_charptr_fscs Sys_pid_file(
-       "pid_file", "Pid file used by safe_mysqld",
+       "pid_file", "Pid file used by mariadbd_safe",
        READ_ONLY GLOBAL_VAR(pidfile_name_ptr), CMD_LINE(REQUIRED_ARG),
        DEFAULT(0));
 
@@ -3784,7 +3784,7 @@ static Sys_var_on_access_global<Sys_var_uint,
                PRIV_SET_SYSTEM_GLOBAL_VAR_RPL_SEMI_SYNC_SLAVE_KILL_CONN_TIMEOUT>
 Sys_semisync_slave_kill_conn_timeout(
        "rpl_semi_sync_slave_kill_conn_timeout",
-       "Timeout for the mysql connection used to kill the slave io_thread's "
+       "Timeout for the mariadb connection used to kill the slave io_thread's "
        "connection on master. This timeout comes into play when stop slave "
        "is executed",
        GLOBAL_VAR(rpl_semi_sync_slave_kill_conn_timeout),
@@ -5138,7 +5138,7 @@ Sys_proxy_protocol_networks(
     "proxy_protocol_networks", "Enable proxy protocol for these source "
     "networks. The syntax is a comma separated list of IPv4 and IPv6 "
     "networks. If the network doesn't contain mask, it is considered to be "
-    "a single host. \"*\" represents all networks and must the only "
+    "a single host. \"*\" represents all networks and must be the only "
     "directive on the line. String \"localhost\" represents non-TCP "
     "local connections (Unix domain socket, Windows named pipe or shared memory)",
     GLOBAL_VAR(my_proxy_protocol_networks), CMD_LINE(REQUIRED_ARG),
@@ -6526,7 +6526,7 @@ export const char *plugin_maturity_names[]=
 static Sys_var_enum Sys_plugin_maturity(
        "plugin_maturity",
        "The lowest desirable plugin maturity. "
-       "Plugins less mature than that will not be installed or loaded",
+       "Plugins less mature then that will not be installed or loaded",
        READ_ONLY GLOBAL_VAR(plugin_maturity), CMD_LINE(REQUIRED_ARG),
        plugin_maturity_names,
        DEFAULT(SERVER_MATURITY_LEVEL > 0 ?
@@ -6597,7 +6597,7 @@ static const char *log_slow_filter_names[]=
 
 static Sys_var_set Sys_log_slow_filter(
        "log_slow_filter",
-       "Log only certain types of queries to the slow log. If variable empty all kind of queries are logged.  All types are bound by slow_query_time, except 'not_using_index' which is always logged if enabled",
+       "Log only certain types of queries to the slow log. If variable empty all kinds of queries are logged.  All types are bound by slow_query_time, except 'not_using_index' which is always logged if enabled",
        SESSION_VAR(log_slow_filter), CMD_LINE(REQUIRED_ARG),
        log_slow_filter_names,
        /* by default we log all queries except 'not_using_index' */
@@ -6871,7 +6871,7 @@ Sys_binlog_row_image(
        "before and after image are logged. 'FULL_NODUP', means that all "
        "columns are logged in before image, but only changed columns or all "
        "columns of inserted record are logged in after image, "
-       "'NOBLOB', means that mysqld avoids logging "
+       "'NOBLOB', means that mariadbd avoids logging "
        "blob columns whenever possible (eg, blob column was not changed or "
        "is not part of primary key). 'MINIMAL', means that a PK equivalent (PK "
        "columns or full row if there is no PK in the table) is logged in the "
diff --git a/storage/innobase/handler/ha_innodb.cc b/storage/innobase/handler/ha_innodb.cc
index 593bd79f489..e2ad8a2f33a 100644
--- a/storage/innobase/handler/ha_innodb.cc
+++ b/storage/innobase/handler/ha_innodb.cc
@@ -19350,7 +19350,7 @@ static MYSQL_SYSVAR_ENUM(stats_method, srv_innodb_stats_method,
 
 static MYSQL_SYSVAR_ULONG(buf_dump_status_frequency, srv_buf_dump_status_frequency,
   PLUGIN_VAR_RQCMDARG,
-  "A number between [0, 100] that tells how oftern buffer pool dump status "
+  "A number between [0, 100] that tells how often buffer pool dump status "
   "in percentages should be printed. E.g. 10 means that buffer pool dump "
   "status is printed when every 10% of number of buffer pool pages are "
   "dumped. Default is 0 (only start and end status is printed)",
@@ -19565,7 +19565,7 @@ static MYSQL_SYSVAR_BOOL(immediate_scrub_data_uncompressed,
 
 static MYSQL_SYSVAR_BOOL(encrypt_temporary_tables, innodb_encrypt_temporary_tables,
   PLUGIN_VAR_OPCMDARG | PLUGIN_VAR_READONLY,
-  "Enrypt the temporary table data",
+  "Encrypt the temporary table data",
   NULL, NULL, false);
 
 static MYSQL_SYSVAR_BOOL(truncate_temporary_tablespace_now,
diff --git a/storage/myisam/ha_myisam.cc b/storage/myisam/ha_myisam.cc
index e050e46c8db..2fc11784562 100644
--- a/storage/myisam/ha_myisam.cc
+++ b/storage/myisam/ha_myisam.cc
@@ -87,7 +87,7 @@ static MYSQL_SYSVAR_BOOL(use_mmap, opt_myisam_use_mmap, PLUGIN_VAR_NOCMDARG,
 
 static MYSQL_SYSVAR_ULONGLONG(mmap_size, myisam_mmap_size,
   PLUGIN_VAR_RQCMDARG|PLUGIN_VAR_READONLY, "Restricts the total memory "
-  "used for memory mapping of MySQL tables", NULL, NULL,
+  "used for memory mapping of MyISAM tables", NULL, NULL,
   SIZE_T_MAX, MEMMAP_EXTRA_MARGIN, SIZE_T_MAX, 1);
 
 static MYSQL_THDVAR_ENUM(stats_method, PLUGIN_VAR_RQCMDARG,
